Summary: Various Utilities needed by Trustix Secure Linux
Name: tsl-utils
Version: 1.4
Release: 1tr
URL: http://www.trustix.net
Source0: tsl-utils-restart_maybe
Source1: tsl-fixboot.sh
Source2: create-freeswan-kernelpatch.sh
Source3: tsl-findfat.sh
License: GPL
Group: System/Base
BuildRoot: /var/tmp/tsl-utils-%{version}
BuildRequires: coreutils
Requires: /sbin/chkconfig grep /sbin/runlevel /usr/bin/cut
PreReq: mkinitrd, coreutils, sysvinit, file, modutils
BuildArch: noarch

%description
The Trustix Secure Linux utils is a set of utilities and scripts that are made
in the development process, and that really fit in no other package. 

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/sbin
install -m755 %{SOURCE0} ${RPM_BUILD_ROOT}/sbin/restart_maybe
install -m755 %{SOURCE1} ${RPM_BUILD_ROOT}/sbin/tsl-fixboot.sh
install -m755 %{SOURCE2} ${RPM_BUILD_ROOT}/sbin/create-freeswan-kernelpatch.sh
install -m755 %{SOURCE3} ${RPM_BUILD_ROOT}/sbin/tsl-findfat.sh

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(0755,root,root)
/sbin/restart_maybe
/sbin/tsl-fixboot.sh
/sbin/create-freeswan-kernelpatch.sh
/sbin/tsl-findfat.sh

%changelog
* Thu Jan  6 2005 Erlend Midttun <erlendbm at trustix dot org> 1.4-1tr
- Now handle more release tags in kernel.  Take II.

* Mon Nov 22 2004 Erlend Midttun <erlendbm at trustix dot com> 1.3-23tr
- Now handle more release tags.

* Thu Jun 19 2003 Chr. H. Toldnes <christht at trustix dot com> 1.3-22tr
- Added tsl-findfat.sh

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 1.3-21tr
- Big rebuild

* Mon Jun 16 2003 Chr. H. Toldnes <christht at trustix dot com> 1.3-20ct
- No depmod stuff.

* Fri Jun 13 2003 Chr. H. Toldnes <christht at trustix dot com> 1.3-19ct
- Creation of symlinks when not found in tsl-fixboot.sh

* Thu Jun  5 2003 Erlend Midttun <erlendbm at trustix dot com> 1.3-18em
- Make restart_maybe quiet when it does nothing.

* Tue Jun  3 2003 Chr. H. Toldnes <christht at trustix dot com> 1.3-17ct
- Run depmod -a in tsl-fixboot.sh

* Mon May 26 2003 Erlend Midttun <erlendbm at trustix dot com> 1.3-16em
- fileutils -> coreutils.

* Tue May 20 2003 Chr. H. Toldnes <christht at trustix dot com> 1.3-15ct
- Bugfixing in tsl-fixboot.sh

* Tue May 20 2003 Chr. H. Toldnes <christht at trustix dot com> 1.3-14ct
- Don't use absolute path in symbolic links.

* Tue May 20 2003 Chr. H. Toldnes <christht at trustix dot com> 1.3-13ct
- Use MAILTO variable in tsl-fixboot.sh

* Fri May 16 2003 Erlend Midttun <erlendbm at trustix dot com> 1.3-12em
- Added create-freeswan-kernelpatch.sh

* Fri May  2 2003 Chr. H. Toldnes <christht at trustix dot com> 1.3-11ct
- Bugfixing in tsl-fixboot.sh

* Fri May  2 2003 Chr. H. Toldnes <christht at trustix dot com> 1.3-10ct
- Added PreReq: file

* Thu Apr 24 2003 Christian H. Toldnes <christht at trustix dot com> 1.3-9ct
- Bugfixing in tsl-fixboot.sh

* Wed Apr 23 2003 Christian H. Toldnes <christht at trustix dot com> 1.3-8ct
- Bugfixing in tsl-fixboot.sh

* Wed Apr 23 2003 Christian H. Toldnes <christht at trustix dot com> 1.3-7ct
- Added PreReqs since tsl-fixboot.sh is run in %post of kernels
- Bugfixing in tsl-fixboot.sh

* Tue Apr 22 2003 Christian H. Toldnes <christht at trustix dot com> 1.3-6ct
- Enhanced the fix-boot.sh script, maybe time to implement this setup
  soon. :)

* Thu Apr 10 2003 Christian H. Toldnes <christht at trustix dot com> 1.3-5ct
- Now look in /etc/sysconfig/bootloader for BOOTLOADER

* Thu Apr 10 2003 Christian H. Toldnes <christht at trustix dot com> 1.3-4ct
- Added tsl-fixboot.sh

* Thu Feb 27 2003 Christian H. Toldnes <christht at trustix dot com> 1.3-3ct
- Added better removal of $RPM_BUILD_ROOT

* Wed Nov 06 2002 Nico Erfurth <masta at trustix dot org> 1.3-2ne
- Uses cut with full path (/usr/bin/cut)

* Wed Jul 17 2002 Christian H. Toldnes <christht at trustix dot com> 1.3-1ct
- Now checks /etc/init.d not /etc/rc.d/init.d

* Wed Jul 17 2002 Christian H. Toldnes <christht at trustix dot com> 1.2-5ct
- Rebuild for TSL 2.0

* Tue Jul 17 2001 Erlend Midttun <erlendbm at trustix dot com>
- Inc serial number before release.

* Mon Nov 20 2000 Oystein Viggen <oysteivi at trustix dot com>
- Make this package mainly to have somewhere to put restart_maybe.
